﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using System.Windows.Messaging;

namespace _5_LocalMessagingReceiver
{
    public partial class MainPage : UserControl
    {
        private const string SENDER_NAME = "SL_TEXT_SENDER";

        public MainPage()
        {
            InitializeComponent();

            LocalMessageReceiver messageReceiver = new LocalMessageReceiver(SENDER_NAME);
            messageReceiver.MessageReceived += new EventHandler<MessageReceivedEventArgs>(receiver_MessageReceived);

            // Asynchronous listener, does not block
            messageReceiver.Listen();
        }

        void receiver_MessageReceived(object sender, MessageReceivedEventArgs e)
        {
            ResponseTextBlock.Text = e.Message;
        }
    }
}
